package digital.laboratory.platform.imr.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.imr.dto.DestructionPublicityDTO;
import digital.laboratory.platform.imr.entity.DestructionPublicity;
import digital.laboratory.platform.imr.vo.DestructionPublicityVO;

/**
 * 服务类
 *
 * @author Zhang Xiaolong created at  2023-03-23
 * @describe  服务类
 */
public interface DestructionPublicityService extends IService<DestructionPublicity> {

    DestructionPublicityVO createPublicity(DestructionPublicityDTO dto, DLPUser dlpUser);

    DestructionPublicityVO updatePublicity(DestructionPublicityDTO dto, DLPUser dlpUser);

    void deleteOneById(String id);

    IPage<DestructionPublicityVO> getDestructionPublicityPage(Page<DestructionPublicity> page, QueryWrapper<DestructionPublicity> eq);

    DestructionPublicity getOneById(String id);

    DestructionPublicity release(String id);
}
